/*
 * god.java
 *
 * Created on 4 ottobre 2007, 15.13
 *
 *  aliCE (c) 2007-2008
 *  Michele Piunti
 */

package alice.cartago.examples.roomsworld;


import alice.cartago.*;
import alice.cartago.util.*;

/**
 *
 * @author michelepiunti
 */

public class statsAgent extends Agent {
	
	private SensorId mySensor;
        private String ws;
	
	private ArtifactId envId, watchId;
	
	public statsAgent(String name, String env) throws  CartagoException {
		super(name);
                ws = env;
	}
	
	public void run(){
		try {
                    joinWorkspace(ws);
                    log("retrieve experiment statistichs: running");

                    sleep(3000);

                    envId = lookupArtifact("environment");
                    watchId = lookupArtifact("Watch");

//			guiSensor = linkDefaultSensor();
                    mySensor = linkDefaultSensor();


                    //use(guiId, new Op("subscribe"), mySensor);
                    //use(envId, new Op("subscribe"),envSensor);
                    focus(watchId, mySensor );

                    //log("waiting for user request (max 6 min.)");
                    sense(mySensor, "exp_end", 60000);

                    log("statsAgent: start tracking stats...");

                    Op op =  new Op("getStats", mySensor , 3000);

                    use(envId, op); 
                    Perception stats = this.sense(mySensor, "stats_available");

                    log("stats are" + stats);
                    log("simulation completed.");
                        
		} catch (Exception ex){
			log("An exception occurred: "+ex);
		}
		
	}
}