/*
 * dispose_artifact.java
 *
 * Created on 21 febbraio 2008, 14.43
 *
 * by Michele Piunti
 * ISTC - CNR, Rome, Italy.
 * AliCe - DEIS - UniBO, Blogna-Cesena, Italy.
 */

package alice.c4jadex.bridge.actions;

import alice.c4jadex.bridge.*;
import alice.cartago.*;
import jadex.runtime.*;

/**
 *    dispose_artifact
 * @author Michele Piunti
 */
public class dispose_artifact extends cartago_action {
    
    /** Creates a new instance of quit_workspace */
    public void body() {
        
        String agentName = getAgentName(); 
        AgentContext actx = getContext(agentName );
        SensorId sid = null; 
        ICartagoContext ctx = actx.getContext();
        String artifactName = (String)getParameter("artifact_name").getValue();
        ArtifactId  aid = actx.getArtifactId(artifactName);
        try {
                sid = ctx.linkDefaultSensor();
                ctx.use(ctx.getFactoryId(), new Op("disposeArtifact",aid),sid);
                Perception p = ctx.sense(sid,"dispose_succeeded|dispose_failed");
                if (sid!=null){
                        ctx.unlinkSensor(sid);
                }                
                System.out.println("dispose_artifact_action: " + p.getLabel());
               
        } catch (Exception ex){
                ex.printStackTrace();
                //throw new JasonException("lookup failed: "+ex);
        } finally {
                
        }
    }
    
}
