/*
 * link_artifact.java
 *
 * Created on 25 febbraio 2008, 16.33
 *
 * by Michele Piunti
 * ISTC - CNR, Rome, Italy.
 * AliCe - DEIS - UniBO, Blogna-Cesena, Italy.
 */

package alice.c4jadex.bridge.actions;

import alice.c4jadex.bridge.*;
import alice.cartago.*;
import jadex.runtime.*;

/**
 *    link_artifact through the indicated port
 * @author Michele Piunti
 */
public class link_artifacts extends cartago_action {
    
    /** Creates a new instance of link_artifact */
    public link_artifacts() {
    }
    
    public void body(){
        String agentName = getAgentName();
        AgentContext actx = getContext(agentName);
        if (actx==null){
                //throw new JasonException("Need to join a workspace.");
        }
        String artifact1 = (String)getParameter("artifact_from").getValue();
        String artifact2 = (String)getParameter("artifact_to").getValue();
        String port = (String)getParameter("port").getValue();

        ArtifactId  outArtifactId = actx.getArtifactId(artifact1);
        ArtifactId  inArtifactId = actx.getArtifactId(artifact2);

        ICartagoContext ctx = actx.getContext();

        try {
                ctx.linkArtifacts(outArtifactId, port, inArtifactId);
                //return true;
        } catch (Exception ex){
                ex.printStackTrace();
                //return false;
        }
    }
    
}
