/*
 * stop_focus.java
 *
 * Created on 21 febbraio 2008, 11.46
 *
 * by Michele Piunti
 * ISTC - CNR, Rome, Italy.
 * AliCe - DEIS - UniBO, Blogna-Cesena, Italy.
 */

package alice.c4jadex.bridge.actions;

import alice.c4jadex.bridge.*;
import alice.cartago.*;
import jadex.runtime.*;

/**
 *    stop_focus
 * @author Michele Piunti
 */
public class stop_focus extends cartago_action {
    
    ArtifactId  aid;
    
    /** 
     * Creates a new instance of stop_focus 
     */
    public stop_focus() {
        
    }
    
    public void body(){
        
        // MY NAME and CONTEXT
        String agentName = getAgentName();        
        try{
            actx = getContext(agentName); 
            if (actx==null){
	       System.out.println("Need to join a workspace.");
               //throw new Exception("Need to join a workspace.");
            }
        } catch(Exception ex){
            ex.printStackTrace();
        }
        ICartagoContext ctx = actx.getContext();
        
        // ARTIFACT ID aid
        String artifactName = (String)getParameter("artifact_name").getValue();
        aid = actx.getArtifactId(artifactName);        
        if(aid==null){
            System.out.println("artifact:" + artifactName + " does not exist" );
            return;
         }
        
        
        try {
                ctx.stopFocus(aid);
        } catch (Exception ex){
                ex.printStackTrace();
        } 
        
    }
    
}

