/*
 * helloPlan.java
 *
 * Created on 4 dicembre 2007, 12.39
 *
 * by Michele Piunti
 * ISTC - CNR, Rome, Italy.
 * AliCe - DEIS - UniBO, Blogna-Cesena, Italy.
 */

package alice.c4jadex.examples;

import alice.c4jadex.bridge.*;
import alice.cartago.*;
import jadex.runtime.*;

/**
 *    helloPlan
 * @author Michele Piunti
 */
public class helloPlan extends Plan {
    
    /** Creates a new instance of helloPlan */
    public helloPlan() {
    }
    
    public void body(){
        try {	
            // 1. lookup artifact
            String aName = "console";
            IGoal lookup = createGoal("lookup");
            lookup.getParameter("artifact_name").setValue(aName);                
            dispatchSubgoalAndWait(lookup);
            ArtifactId aid = (ArtifactId)lookup.getParameter("aid").getValue();
            if(aid!=null)
                System.out.println("lookup succeed: retrieved arifact" + aName + " aId: " + aid);

            // 2. use artifact
            IGoal use = createGoal("use");
            use.getParameter("artifact_name").setValue("console");
            
            Op op = new Op("println", "ciao, this message is created by: " + getAgentName() );
            use.getParameter("op").setValue(op);
            
            String sensorName = getAgentName()+"Sensor";
            //use.getParameter("sensor_name").setValue(sensorName);
            
            dispatchSubgoalAndWait(use);

                        
                        
                        
        } catch (Exception ex){
                ex.printStackTrace();
        }
    }    
}
