/*
 * MindMoney.java
 *
 * Created on 4 ottobre 2007, 15.16
 *
 *  aliCE (c) 2007-2008
 *  Michele Piunti
 */

package alice.cartago.examples.roomsworld;

import alice.cartago.CartagoService;
import alice.cartago.ICartagoWorkspace;
import alice.cartago.ICartagoContext;
import alice.cartago.tools.BasicLogger;


/**
 *
 * @author michelepiunti
 */
public class Main {
    
    public static void main(String[] args) throws Exception {
    
        String WS="CartagoBDI";

        CartagoService.installNode(4010);
        ICartagoContext defaultContext = CartagoService.joinDefaultWorkspace("main");		
        defaultContext.createWorkspace(WS);
        //CartagoService.registerLogger(WS, new BasicLogger());

        // create agents
        new agensFaber("AgensFaber",WS).start();   
        //new agensFaber_retailLogs("AgensFaber_retailLogs",WS).start();   
        new agentTimer("AgentTimer",WS).start();
        new agentExpHandler("AgentExpHandler",WS).start(); 
        
    }
    
}
