/*
 * agentTimer.java
 *
 * Created on 9 ottobre 2007, 19.12
 *
 *  aliCE (c) 2007-2008
 *  Michele Piunti
 */

package alice.cartago.examples.roomsworld;

import alice.cartago.*;
import alice.cartago.util.*;


/**
 *
 * @author michelepiunti
 */
public class agentTimer extends Agent {
    
      private SensorId sid;
      private ArtifactId idgui,idenv,idwatch;
      private String ws;
      //private Op getOp;
      private long clocks;
      
      Perception p;
      
      private final int MAX_TRASHES = 4;
      
      
    
    public agentTimer  (String name, String env) throws CartagoException{
        super(name);
        clocks=0;
        ws = env;
    }
    
    public void run() {
        log("agentTimer started");
        
         
        try {
            joinWorkspace(ws);
            sid = linkDefaultSensor();
            sleep(2000);
            idgui = lookupArtifact("envGUI");
            idenv = lookupArtifact("environment");
            idwatch = lookupArtifact("watch");

            while(true)  {
                sleep(200);
//                try {
//                    use(idenv, new Op("getAgents"), sid);
//                    p = sense(sid,"see_agents");                    
//                    use(idgui, new Op("setAgents", (ArrayList<agentInfo>)p.getContent(0)));
//
//                    use(idenv, new Op("getTrashes"), sid);
//                    p = sense(sid,"see_trashes"); 
//                    use(idgui, new Op("setTrashes", (ArrayList<trash>)p.getContent(0)));
//                }catch(Exception e) {
//                    
//                }
                use(idgui, new Op("refresh"));
                ++clocks;
               // if(clocks%5 == 0) {
                  //use(idgui, new Op("refresh"));
                  if(clocks%10 == 0) {    
                    //inc simtime  
                    use(idwatch, new Op("tickTime")); 
                    // register agent performances
                    if(clocks>=10){
                    	use(idenv, new Op("storeAgentPerformances") );
                    }
  
                    // assess NTrashes
                    use(idenv, new Op("getNTrashes"), sid);
                    p = sense(sid,"trashes_available",10000);
                    double nTrashes = p.doubleContent(0);
                    if(nTrashes<MAX_TRASHES){
                           use(idenv, new Op("incTrashes")); 
                    }                   
                  }//50
                //}//5
                
                
            }
            
        }
        catch (Exception ex){
            ex.printStackTrace();
        }
    }
    
}
