/*
 * console.java
 *
 * Created on 3 novembre 2007, 17.27
 *
 *  aliCE (c) 2007-2008
 *  Michele Piunti
 */

package alice.cartago.examples.roomsworld;


import alice.cartago.*;


/**
 *
 * @author michelepiunti
 */

@ARTIFACT_MANUAL(
		outports = {
			@OUTPORT(name = "link")
			}
)
public class roomsConsole extends Artifact {
    
    /** Creates a new instance of console */
    public roomsConsole() {
    }
    
    
    @OPERATION void print(Object msg){
    	try {
        	outSignal("link", new Op("print", ""+msg));
        }catch(Exception ex){
            log("linkop print mst to GUI failed.");
        }
    }
    
    @OPERATION void print(Object msg1, Object msg2){
    	String msg = ""+msg1+msg2;
    	try {
        	outSignal("link", new Op("print", msg));
        }catch(Exception ex){
            log("linkop print mst to GUI failed.");
        }
    }
    
    @OPERATION void print(Object msg1, Object msg2, Object msg3){
    	String msg = ""+msg1+msg2+msg3;
    	try {
        	outSignal("link", new Op("print", msg));
        }catch(Exception ex){
            log("linkop print mst to GUI failed."); 
        }
    }
    
    @OPERATION void err(String msg){
      System.err.println(msg);
    }
    
}
