/*
 * switch_workspace.java
 *
 * Created on 21 febbraio 2008, 14.17
 *
 * by Michele Piunti
 * ISTC - CNR, Rome, Italy.
 * AliCe - DEIS - UniBO, Blogna-Cesena, Italy.
 */

package alice.c4jadex.bridge.actions;


import alice.c4jadex.bridge.*;
import alice.cartago.*;
import jadex.runtime.*;

/**
 *    switch_workspace
 * @author Michele Piunti
 */
public class switch_workspace extends cartago_action {
    
    AgentContextManager man;
    
    /** Creates a new instance of switch_workspace */
    public switch_workspace() {
        
    }
    
      public void body() {
        String wspName = (String)getParameter("workspace_name").getValue();
        String agentName = getAgentName();  

//		try {
//			CAgentArch agent = ((CAgentArch)ts.getUserAgArch());
//			agent.setCurrentContext(wspName);
//			return true;
//		} catch (Exception ex) {
//			throw new JasonException("Internal action switch workspace: " + ex);
//		}
        try {
             if(wspName!=null || !wspName.equals(""))   { 
                man = getContextManager();               
                man.setCurrentContext(wspName);
             }  else{
                System.out.println("Missing required argument 'workspace_name'" );
                return;
             }

        } catch (Exception ex) {
                System.err.println("Internal action switchWorkspace failed: ");
                ex.printStackTrace();                
                //throw new Exception("Internal action createWorkspace failed: " + ex);
        }        
        
        log("Switching my Cartago Context. Current context is: " + man.getCurrentContext().getWspId().getName()  );
        
    }
    
}
