/*
 * ArtifactEventPlan.java
 *
 * Created on 18 aprile 2008, 12.23
 *
 * by Michele Piunti
 * ISTC - CNR, Rome, Italy.
 * AliCe - DEIS - UniBO, Blogna-Cesena, Italy.
 */

package alice.c4jadex.examples;


import alice.c4jadex.bridge.*;
import alice.cartago.*;
import jadex.runtime.*;

/**
 *    ArtifactEventPlan
 * @author Michele Piunti
 */
public class ArtifactEventPlan extends Plan {
    
    /** Creates a new instance of ArtifactEventPlan */
    public ArtifactEventPlan() {
    }
    
    public void body(){
        System.err.println("["+getAgentName() + "]\n an ARTIFACT EVENT HAS BEEN NOTICED !!! ");
        IEvent event = getInitialEvent();
        String label = event.getParameter("label").getValue().toString();
        System.err.println(" with label: " + label);
        
        Perception p = (Perception)event.getParameter("perception").getValue();
        System.err.println(" and with perception: " + p);
    }
    
}
