/*
 * gotoRoomPlan.java
 *
 * Created on 13 marzo 2008, 23.53
 *
 *  aliCE (c) 2007-2008
 *  Michele Piunti
 */

package alice.c4jadex.roomsworld.log;

import alice.c4jadex.bridge.*;
import alice.c4jadex.roomsworld.navigator.*;
import alice.cartago.*;
import alice.cartago.examples.roomsworld.location;
import jadex.runtime.*;

import java.util.ArrayList;
import java.util.Iterator;

/**
 *
 * @author michelepiunti
 */
public class writeNotePlan extends Plan {
    
    private String sensorName,agentName;
    
    /** Creates a new instance of gotoRoomPlan */
    public writeNotePlan() {
        sensorName = (String)getBeliefbase().getBelief("my_sensor").getFact();
        agentName = getAgentName();
    }
    
    public void body(){
        //waitFor(500);
        int target_log = (Integer)getParameter("target_log").getValue();
    
        //retrieve time
	    long time = (Long)getBeliefbase().getBelief("tick_time").getFact();        
        // now let note on LOG
	    
	    IGoal write = createGoal("use");
	    write.getParameter("artifact_name").setValue("log"+target_log);
        write.getParameter("sensor_name").setValue(sensorName);  
        Op op = new Op("putNote", time );
        write.getParameter("op").setValue(op);         
        dispatchSubgoalAndWait(write);
        
        //IGoal selectR = createGoal("select_room");
        //dispatchSubgoalAndWait(selectR);
        
    }
    
    
    protected void log(String s){
        IGoal use = createGoal("use");
        
        use.getParameter("artifact_name").setValue("io");
        use.getParameter("sensor_name").setValue(sensorName);  
        String msg = "["+getAgentName()+"] " + s;
        Op op = new Op("print", msg );
        use.getParameter("op").setValue(op);         
        dispatchSubgoalAndWait(use);
 
        System.out.println(msg);
    }
    
}
